# number

number() → xs:double

Equivalent to number(.); converts the value of the context item to a double

There are no arguments
Result | xs:double

number($arg as xs:anyAtomicType?) → xs:double

Converts the supplied value to a double, or returns NaN if conversion is not possible

Arguments
| $arg | xs:anyAtomicType? |
Result | xs:double

Links to W3C specifications

Namespace: http://www.w3.org/2005/xpath-functions

Applies to: XPath 2.0, XSLT 2.0, XQuery 1.0 and later versions

XPath 2.0 Specification

XPath 3.0 Specification

Notes on the Saxon implementation

The function is fully implemented according to the W3C specifications.

Next